summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2019-08-27 18:17:23 +0200
committerAlexis Ballier <aballier@gentoo.org>2019-08-28 19:01:31 +0200
commit29cf1b0da4bcd77882645a91b084392262475bf7 (patch)
treeac34c8ff224b836e731d1fcd0cd258e4e540aa4e /dev-python/vcstools
parentdev-python/vcstools: Remove old (diff)
downloadgentoo-29cf1b0da4bcd77882645a91b084392262475bf7.tar.gz
gentoo-29cf1b0da4bcd77882645a91b084392262475bf7.tar.bz2
gentoo-29cf1b0da4bcd77882645a91b084392262475bf7.zip
dev-python/vcstools: bump to 0.1.42
Package-Manager: Portage-2.3.73, Repoman-2.3.17 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-python/vcstools')
-rw-r--r--dev-python/vcstools/Manifest1
-rw-r--r--dev-python/vcstools/vcstools-0.1.42.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-python/vcstools/Manifest b/dev-python/vcstools/Manifest
index f0d3059b641..b1c741d7949 100644
--- a/dev-python/vcstools/Manifest
+++ b/dev-python/vcstools/Manifest
@@ -1 +1,2 @@
DIST vcstools-0.1.40.tar.gz 62109 BLAKE2B a5347ba62031e602421f26b081e26e55549e92fc4a0648b58a3c4c3b0134b91dba096604f83edcc51a99c989e60fa51e8af2f9ecbf992500a6e942c19da9c82c SHA512 7cd062f3c72b27f78361d3000ed8951b1723ea7dd99bf05ea711e8a8b93c42c2acebdfd6c7cf7384730c708da11bd0d2712a54e538dd833eafbcef46f23857cd
+DIST vcstools-0.1.42.tar.gz 65979 BLAKE2B 2deb29116e891bc93410e4a8f58938009140d01baaa834cccfdba2be3243d98bb11507fd134284bc1dbeca1434ea0eeaf2ed332dcb579bbacf1bc92815f8623d SHA512 1b54270c878684862eb607c2e445fe24d8edfdd8ea2cc75e899044d9e8e89a882fd2dd6fb7825553f83003ae7af08850c18fdeaabaa107a6bfdb2759b32e8fa6
diff --git a/dev-python/vcstools/vcstools-0.1.42.ebuild b/dev-python/vcstools/vcstools-0.1.42.ebuild
new file mode 100644
index 00000000000..388682fd4ac
--- /dev/null
+++ b/dev-python/vcstools/vcstools-0.1.42.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/vcstools/vcstools"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Python library for interacting with various VCS systems"
+HOMEPAGE="http://wiki.ros.org/vcstools"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ https://github.com/vcstools/vcstools/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-vcs/git
+ dev-vcs/bzr
+ dev-vcs/mercurial
+ dev-vcs/subversion
+ )
+"
+
+python_test() {
+ # From travis.yml
+ # Set git config to silence some stuff in the tests
+ git config --global user.email "foo@example.com"
+ git config --global user.name "Foo Bar"
+ # Set the hg user
+ echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+ # Set the bzr user
+ bzr whoami "Your Name <name@example.com>"
+ #git config --global user.email "you@example.com"
+ #git config --global user.name "Your Name"
+
+ nosetests --with-coverage --cover-package vcstools || die
+}